/*
 * Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id: Resource.java 69513 2013-01-15 12:49:59Z supol $
 */

package com.sun.ts.tests.jaxrs.ee.rs.ext.interceptor.containerreader.readerinterceptorcontext;

import javax.ws.rs.POST;
import javax.ws.rs.Path;

import com.sun.ts.tests.jaxrs.api.rs.ext.interceptor.reader.readerinterceptorcontext.ExceptionThrowingStringBean;

@Path("resource")
public class Resource {

	@POST
	@Path("string")
	public String post(String entity) {
		return entity;
	}

	@POST
	@Path("errorbean")
	public String errorBean(ExceptionThrowingStringBean bean) {
		return bean.get();
	}

}
